Subject: Re: [PATCH pata-2.6] sl82c105: DMA support code cleanup (take 4)

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Wed, 4 Apr 2007 21:38:02 +0200

On Wednesday 28 March 2007, Sergei Shtylyov wrote:
> Fold the now equivalent code in the ide_dma_check() method into a mere call to
> ide_use_dma().  Make config_for_dma() return non-zero if DMA mode has been set
> and call it from the ide_dma_check() method instead of ide_dma_on().
> Defer writing the DMA timings to the chip registers until DMA is really turned
> on (and do not enable IORDY for DMA).
> Remove unneeded code from the init_hwif() method, improve its overall looks.
> Rename the dma_start(), ide_dma_check(), and ide_dma_lostirq() methods, and
> also use more proper hwif->dma_command, fix printk() and comment in the latter
> one as well.  While at it, cleanup style in several places.
> 
> ---
> This patch has also been actually tested at last. :-)
> 
> Signed-off-by: Sergei Shtylyov <[email-masked]>
> Signed-off-by: Bartlomiej Zolnierkiewicz <[email-masked]>

I moved Signed-off-by-s before "---" to prevent them from being eaten by git.

applied